
package com.vigroup.tvapi.common;

import com.vigroup.tvapi.common.vo.MEthernetDevInfo;

interface IPhilipsEthernetManager {
    String[] getDeviceNameList();
    void setState(in int state);
    int getState( );
    void updateDevInfo(in MEthernetDevInfo info);
    boolean isConfigured();
    MEthernetDevInfo getSavedConfig();
    int getTotalInterface();
    void setMode(String mode);
    boolean isNetworkConnected();
    int isCableConnected();
    
    void setEnabled(in boolean enable);
}
