package com.vigroup.tvapi.common;
interface IPhilipsTVManager{   
   String testStr(String str);        
    int getCurrentTvSystem();
    void setInputSource(in int source);   
    int getCurrentInputSource();
    int getCurrentSubInputSource();
    boolean[] GetInputSourceStatus();
    boolean setPowerOnSource(in int eSource);
    int getPowerOnSource();
    void setPowerOnAVMute(in boolean enable);
    boolean getPowerOnAVMute();
    void enterSleepMode(boolean bMode, boolean bNoSignalPwDn);  
    int[] getSourceList();
    int setAtvMtsMode(int mode);
    int getAtvMtsMode();
    int getAtvSoundMode();  
    void recoverySystem(String url);
    void updateSystem(String url);
    void standbySystem(String Pwd);
    void rebootSystem(String Pwd);    
    int[] setTvosCommonCommand(String cmd);
    boolean setVideoMute(boolean bScreenMute, int enColor,int screenUnMuteTime, int eSrcType);
    boolean isSignalStable(int inputSource); 
    boolean isHdmiSignalMode(); 
    void setSystemProperties(String key,String value);
    String getSystemProperties(String key);       
    int backupTVChannels(String path);  
    int restoreTVChannels(String path);    
    
    int getValueDatabase_systemsetting(String s);
    void updateDatabase_systemsetting(String s,int n);  
    
    boolean setEnvironmentPowerMode(int powerMode);   
    int getEnvironmentPowerMode();                  
}