
package com.vigroup.tvapi.common;

import com.vigroup.tvapi.common.IPhilipsTVManager;
import com.vigroup.tvapi.common.IPhilipsEthernetManager;
import com.vigroup.tvapi.common.IPhilipsChannelManager;

import com.vigroup.tvapi.common.IApplicationManager;
import com.vigroup.tvapi.common.ITimerManager;
import com.vigroup.tvapi.common.IInputKeyCodeManager;
import com.vigroup.tvapi.common.ISystemManager;
import com.vigroup.tvapi.common.INetWorkManager;



interface ITvService {
    IPhilipsEthernetManager getTvEthernet();
    IPhilipsChannelManager getTvChannel();
    IPhilipsTVManager getTvCommon();
    IApplicationManager getApplicationManager();   
    ITimerManager getTimerManager(); 
    
    IInputKeyCodeManager getInputKeyCodeManager();   
    ISystemManager getSystemManager();    
    INetWorkManager getNetWorkManager();
}
